#version 330 core

struct Material {
	vec3 diffuse;
	vec3 ambient;
	vec3 specular;
	float shininess;
};

in vec2 fragmentUV;
in vec3 position_worldspace;
in vec3 position_cameraspace;

out vec3 fragColor;

uniform sampler2D colorTexture;

uniform mat4 modelViewMatrix;
uniform Material material;

Material mat;

void main()
{
	vec3 textureColor = texture(colorTexture, fragmentUV).rgb;

	mat = material;

	mat.diffuse *= textureColor;
	
	vec3 contrib = vec3(0.0,0.0,0.0);

	//calculate Ambient Term:  
	vec3 Iamb = mat.ambient;

	//calculate Diffuse Term:
	vec3 Idiff = mat.diffuse;
	Idiff = clamp(Idiff, 0.0, 1.0);

	fragColor = Iamb + Idiff;
}

