#version 330 core

layout(location = 0) in vec3 position; 
layout(location = 4) in vec2 uv; //texture coordinates

out vec2 fragmentUV;
out vec3 position_worldspace;
out vec3 position_cameraspace; // Position of the Vertex in cameraspace

uniform mat4 MVP;
uniform mat4 modelViewMatrix;
uniform mat4 normalMatrix;
uniform mat4 modelMatrix;
uniform mat4 viewMatrix;

void main() 
{
	position_cameraspace = (modelViewMatrix * vec4(position,1.0)).xyz;
	position_worldspace = (modelMatrix * vec4(position,1.0)).xyz;

	fragmentUV = uv;
	gl_Position = MVP * vec4(position, 1);
}