#version 330 core

in vec2 UV;

out vec4 color;

uniform sampler2D renderedTexture;
uniform float pixelSize;

const float[5] kernel = float[](0.061f, 0.242f, 0.383f, 0.242f, 0.061f);

void main(){
	color  = kernel[0] * texture( renderedTexture, vec2(UV.x,UV.y-2.0f*pixelSize));
	color += kernel[1] * texture( renderedTexture, vec2(UV.x,UV.y-1.0f*pixelSize));
	color += kernel[2] * texture( renderedTexture, UV);
	color += kernel[3] * texture( renderedTexture, vec2(UV.x,UV.y+1.0f*pixelSize));
	color += kernel[4] * texture( renderedTexture, vec2(UV.x,UV.y+2.0f*pixelSize));
}